Class | Xapian::Database
In: | xapian.rb
Parent: | Object

Refer to the Xapian::Database C++ API documentation for methods not specific to Ruby.

### Methods

allterms positionlist postlist termlist valuestream

### Public Instance methods

allterms(pref = '')

Returns an Array of all Xapian::Terms for this database.

positionlist(docid, term)

Returns an Array of Xapian::Termpos objects for the given term (a String) in the given docid.

postlist(term)

Returns an Array of Xapian::Postings for the given term. term is a string.

termlist(docid)

Returns an Array of Terms for the given docid.

valuestream(slot)

Returns an Array of Xapian::Value objects for the given slot in the database.

[Validate]